Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.query
Interface Aggregate

All Superinterfaces:
  Expression, OrderByItem, PredicateOperand, SelectItem

All Known Implementing Classes:
  AbsExpression, AllExpression, AnyExpression, AverageExpression, ConcatExpression, CountExpression, DistinctExpression, IndexExpression, LengthExpression, LowerExpression, MaxExpression, MinExpression, QueryExpression, SizeExpression, SomeExpression, SquareRootExpression, SubStringExpression, SumExpression, TrimExpression, TypeExpression, UnaryMinusExpression, UnaryOperatorExpression, UpperExpression

    public interface Aggregate

extends Expression

Type of the result of an aggregate operation

Method Summary
`Expression` | `distinct()` Specify that duplicates are to be removed before the aggregate operation is invoked.

Methods inherited from interface org.apache.openjpa.persistence.query.Expression
`abs, concat, concat, dividedBy, dividedBy, in, in, in, in, in, in, isNull, length, locate, locate, locate, locate, locate, locate, lower, member, minus, minus, minus, mod, mod, plus, plus, sqrt, substring, substring, substring, substring, substring, substring, times, times, trim, trim, trim, trim, trim, trim, upper`

Methods inherited from interface org.apache.openjpa.persistence.query.SelectItem
`asc, desc`

Methods inherited from interface org.apache.openjpa.persistence.query.PredicateOperand
`between, between, between, between, between, between, between, between, between, between, between, between, between, equal, equal, equal, equal, equal, equal, equal, equal, greaterEqual, greaterEqual, greaterEqual, greaterEqual, greaterEqual, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, lessEqual, lessEqual, lessEqual, lessEqual, lessEqual, lessThan, lessThan, lessThan, lessThan, lessThan, like, like, like, like, like, like, notEqual, notEqual, notEqual, notEqual, notEqual, notEqual, notEqual, notEqual`

Method Detail

### distinct

    Expression distinct()

  Specify that duplicates are to be removed before the aggregate operation is invoked.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.